# -*- coding: utf-8; -*-
"""
CORE-POS subdepartment views
"""

from __future__ import unicode_literals, absolute_import

from corepos.db import model as corepos

from .master import CoreMasterView


class SubdepartmentView(CoreMasterView):
    """
    Base class for subdepartment views.
    """
    model_class = corepos.Subdepartment
    model_title = "CORE-POS Subdepartment"
    url_prefix = '/core-pos/subdepartments'
    route_prefix = 'corepos.subdepartments'

    labels = {
        'subdept_no': "Number",
        'subdept_name': "Name",
        'dept_ID': "Dept. No.",
    }

    grid_columns = [
        'subdept_no',
        'subdept_name',
        'department',
    ]


def includeme(config):
    SubdepartmentView.defaults(config)
